### Enumeration

# Foundry DebuggerStopReason

#### Declaration

    enum Foundry.DebuggerStopReason

#### Description

No description available.

#### Members

`FOUNDRY_DEBUGGER_STOP_BREAKPOINT_HIT`

  No description available.

  - Value: `1`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_EXITED`

  No description available.

  - Value: `2`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_EXITED_NORMALLY`

  No description available.

  - Value: `3`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_EXITED_SIGNALED`

  No description available.

  - Value: `4`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_FUNCTION_FINISHED`

  No description available.

  - Value: `5`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_LOCATION_REACHED`

  No description available.

  - Value: `6`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_SIGNAL_RECEIVED`

  No description available.

  - Value: `7`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_CATCH`

  No description available.

  - Value: `8`
  - Available since: 1
`FOUNDRY_DEBUGGER_STOP_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1